LTTNG-CRASH(1)

NAME
lttng-crash - Recover and read LTTng trace buffers in the event of a crash

SYNOPSIS

lttng-crash [--extract=DIR | --viewer=READER] [-verbose]... SHMDIR

DESCRIPTION

The Linux Trace Toolkit: next generation <https://lttng.org/> is an open-source software package used for correlated tracing of the Linux kernel, user applications, and user libraries.

LTTng consists of Linux kernel modules (for Linux kernel tracing) and dynamically loaded libraries (for user application and library tracing).

The lttng-crash command-line tool recovers LTTng trace buffers in the event of a system crash.

lttng-crash reads files within the directory SHMDIR and does one of:

Without the --extract option
    Launches a trace reader (see the --viewer option) to view the recovered traces.

With the --extract=DIR option
    Extracts the files as uncorrupted LTTng traces to the DIR directory.

SHMDIR is the directory specified as the argument of the --shm-path option of the lttng-create(1) command used to create the recording session for which to recover the traces.

OPTIONS

-x DIR, --extract=DIR
    Extract recovered traces to the directory DIR; do NOT execute any trace reader.

-v, --verbose
    Increase verbosity.

    Specify this option up to three times to get more levels of verbosity.

-e READER, --viewer=READER
    Use the trace reader READER to read the trace buffers.

    READER is the absolute path to the reader command to use, and it can contain command arguments as well. lttng-crash passes the trace directory paths to the READER command as its last arguments.

    Without this option, lttng crash uses babeltrace2(1) if it’s available. Otherwise, it tries to use babeltrace(1).

  Program information

-h, --help
    Show help.

    This option attempts to launch /usr/bin/man to view this manual page. Override the manual pager path with the LTTNG_MAN_BIN_PATH environment variable.

--list-options
    List available command options and quit.

-V, --version
    Show version and quit.

EXIT STATUS

0
    Success

1
    Error

3
    Fatal error

RESOURCES

    • LTTng project website <https://lttng.org>

    • LTTng documentation <https://lttng.org/docs>

    • LTTng bug tracker <https://bugs.lttng.org>

    • Git repositories <https://git.lttng.org>

    • GitHub organization <https://github.com/lttng>

    • Continuous integration <https://ci.lttng.org/>

    • Mailing list <https://lists.lttng.org/> for support and development: lttng-dev@lists.lttng.org

    • IRC channel <irc://irc.oftc.net/lttng>: #lttng on irc.oftc.net

COPYRIGHT

This program is part of the LTTng-tools project.

LTTng-tools is distributed under the GNU General Public License version 2 <http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html>. See the LICENSE <https://github.com/lttng/lttng-tools/blob/master/LICENSE> file for details.

THANKS

Special thanks to Michel Dagenais and the DORSAL laboratory <http://www.dorsal.polymtl.ca/> at École Polytechnique de Montréal for the LTTng journey.

Also thanks to the Ericsson teams working on tracing which helped us greatly with detailed bug reports and unusual test cases.

SEE ALSO

babeltrace2(1), lttng(1), lttng-create(1)